<!-- content -->
<app-side-modal-content>
  <!-- title -->
  <app-side-modal-title>
    EDIT PROFILE
  </app-side-modal-title>

  <!-- scrollable sections -->
  <app-custom-scrollbar class="app-content">
    <!-- email -->
    <app-form-field [control]="email" [errors]="emailErrors" label="Email ID" type="input"></app-form-field>

    <!-- name -->
    <app-form-field [control]="name" [errors]="nameErrors" label="Name" type="input"></app-form-field>

    <!-- state -->
    <app-form-field [control]="state" [options]="stateOptions" label="State" type="select"></app-form-field>

    <!-- disabled reason -->
    <app-form-field
      [control]="disabledReason"
      [errors]="disabledReasonErrors"
      label="Disabled Reason"
      type="text"
    ></app-form-field>

    <!-- status -->
    <app-form-field
      [control]="status"
      [options]="statusOptions"
      class="app-status"
      label="Status"
      type="select"
    ></app-form-field>

    <!-- heading-->
    <div class="app-heading">
      Access Permission
    </div>

    <!-- permissions -->
    <app-permissions [permissions]="userData.permissions"></app-permissions>

    <!-- heading-->
    <div class="app-heading">
      Toolkit
    </div>

    <!-- radio buttons -->
    <div class="app-radio-buttons">
      <!-- radio -->
      <div (click)="enableToolkit()" class="app-radio">
        <!-- radio -->
        <app-radio [checked]="toolkit"></app-radio>
        Enable
      </div>

      <!-- radio -->
      <div (click)="disableToolkit()" class="app-radio">
        <!-- radio -->
        <app-radio [checked]="!toolkit"></app-radio>
        Disable
      </div>
    </div>

    <div *ngIf="toolkit" class="app-key-serial-number">
      <!-- key serial number -->
      <app-form-field
        [control]="serial"
        [maxLength]="8"
        type="input"
        mask="99999999"
        label="Key Serial Number"
      ></app-form-field>
    </div>
  </app-custom-scrollbar>
</app-side-modal-content>

<!-- footer -->
<app-side-modal-footer>
  <!-- spinner -->
  <app-spinner *ngIf="loading; else actions"></app-spinner>

  <!-- actions -->
  <ng-template #actions>
    <!-- edit -->
    <button (click)="onSaveClicked()" appFlatButton theme="secondary">
      Save
    </button>

    <!-- close -->
    <button (click)="emitCancelClick()" appInlineButton theme="secondary">
      Cancel
    </button>
  </ng-template>
</app-side-modal-footer>
